Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::OneBodyInt Class Reference

OneBodyInt is an abstract base class for objects that compute integrals between two basis functions. More...

`#include <obint.h>`

Inheritance diagram for sc::OneBodyInt:

[legend]
Collaboration diagram for sc::OneBodyInt:

[legend]
List of all members.

## Public Methods

virtual | ~OneBodyInt ()
int | nbasis () const
| Returns the number of basis functions on center one.
int | nshell () const
| Return the number of shells on center one.
Ref< GaussianBasisSet > | basis ()
| Return the basis set on center one.
const double * | buffer () const
| Returns the buffer where the integrals are placed.
virtual void | compute_shell (int, int)=0
| Computes the integrals between basis functions in the given shell pair.
virtual void | reinitialize ()
| This is called for one body integrals that take data to let them know that the data they reference has changed.
virtual bool | cloneable ()
| Return true if the clone member can be called. More...
virtual Ref< OneBodyInt > | clone ()
| Returns a clone of this. More...
Integral * | integral () const
int | nbasis1 () const
int | nbasis2 () const
int | nshell1 () const
int | nshell2 () const
Ref< GaussianBasisSet > | basis1 ()
Ref< GaussianBasisSet > | basis2 ()

## Protected Methods

| OneBodyInt (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2=0)

## Protected Attributes

Integral * | integral_
Ref< GaussianBasisSet > | bs1_
Ref< GaussianBasisSet > | bs2_
double * | buffer_

## Detailed Description

OneBodyInt is an abstract base class for objects that compute integrals between two basis functions.

## Member Function Documentation

virtual Ref<OneBodyInt> sc::OneBodyInt::clone | ( |  | ) | `[virtual]`

| Returns a clone of this. The default implementation throws an exception. Reimplemented in sc::OneBodyIntCints.

virtual bool sc::OneBodyInt::cloneable | ( |  | ) | `[virtual]`

| Return true if the clone member can be called. The default implementation returns false. Reimplemented in sc::OneBodyIntCints.

The documentation for this class was generated from the following file:

- basis/obint.h